# Interface Message

interface Message {
delay: number;
layerUid: string;
msg: string;
popup: boolean;
target: string | Element | JQuery<HTMLElement>;
type: string;
}

- Defined in src/message/Disclaimer.js:32

#####
Index

### Properties

delay
layerUid
msg
popup
target
type

## Properties

### delay

delay: number

The delay in milliseconds the message is shown

- Defined in src/message/Disclaimer.js:33

### layerUid

layerUid: string

The OpenLayers layer identifier.

- Defined in src/message/Disclaimer.js:36

### msg

msg: string

The message text to display.

- Defined in src/message/Disclaimer.js:35

### popup

popup: boolean

Whether the message should be displayed inside a popup window or not.

- Defined in src/message/Disclaimer.js:34

### target

target: string | Element | JQuery<HTMLElement>

The target element (or selector to get the element) in which to display the message. If not defined, then the default target of the notification service is used.

- Defined in src/message/Disclaimer.js:37

### type

type: string

The type of message.

- Defined in src/message/Disclaimer.js:39

Generated using TypeDoc